Skip to Content

POST Tariffs

Use this endpoint to create a new tariff within a branch.

User level: Advanced

Endpoint

POST /v1/{scopeId}/tariffs
PropertyValue
MethodPOST
Scope IDBranch UUID
AuthenticationAuthorization: Bearer <access_token>
Required scoperoutix:tariffs:write
Content-Typeapplication/json
Request bodyJSON object

Create rules

  • Tariffs are branch-or-null resources, but the request still uses a branch UUID in the URL.
  • organization_id and branch_id are set server-side.

Allowed create fields

Field
name
code
status
currency
comment

Example request

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/tariffs" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "name": "Standard pallet tariff", "code": "STD-PALLET", "status": "active", "currency": "EUR" }'

Example response

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440071", "name": "Standard pallet tariff", "code": "STD-PALLET", "status": "active", "currency": "EUR" }, "version": "v1" }
Last updated on